Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.flow
Class ParallelStep

    java.lang.Object
      org.apache.uima.flow.Step
          org.apache.uima.flow.ParallelStep

    public class ParallelStep

extends Step

Indicates that a CAS should be routed to a multiple AnalysisEngines and that the relative order in which these execute does not matter. Logically, they can run in parallel. The runtime is not obligated to actually execute them in parallel, however.

After all the specified Analysis Engines have completed their processing, the `Flow.next()` method will be called again to determine the next destination for the CAS.

Constructor Summary
`ParallelStep(Collection aAnalysisEngineKeys)` Creates a new ParallelStep

Method Summary
`Collection` | `getAnalysisEngineKeys()` Gets the keys of the Analysis Engines to which the CAS should be routed.
`void` | `setAnalysisEngineKeys(Collection aKeys)` Sets the keys of the Analysis Engines to which the CAS should be routed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelStep

    public ParallelStep(Collection aAnalysisEngineKeys)

  Creates a new ParallelStep

  Parameters:
    `aAnalysisEngineKeys` - A Collection of Strings, where each String is the key of an Analysis Engine to which the CAS should be routed. Each String must bee one of the keys in the FlowController's `FlowControllerContext.getAnalysisEngineMetaDataMap()`.

Method Detail

### getAnalysisEngineKeys

    public Collection getAnalysisEngineKeys()

  Gets the keys of the Analysis Engines to which the CAS should be routed.

  Returns:
    an unmodifiable Collection of Strings, where each String is the key of an Analysis Engine to which the CAS should be routed.

### setAnalysisEngineKeys

    public void setAnalysisEngineKeys(Collection aKeys)

  Sets the keys of the Analysis Engines to which the CAS should be routed. By using this method, a user's Flow implementation can (but is not required to) reuse the same ParallelStep object multiple times.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.